| Kea 3.0.2-git

netconf_log.cc File Reference

Contains the loggers used by the netconf agent. More...

`#include <config.h>`
`#include <netconf/netconf_log.h>`
Include dependency graph for netconf_log.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::netconf

## Variables
isc::log::Logger | isc::netconf::netconf_logger (NETCONF_LOGGER_NAME)
| Base logger for the netconf agent.
const char * | isc::netconf::NETCONF_LOGGER_NAME = "netconf"
| Defines the name of the root level (default) logger.
const int | isc::netconf::NETCONF_DBG_RESULTS = isc::log::DBGLVL_TRACE_BASIC_DATA
| Records the results of the commands.
const int | isc::netconf::NETCONF_DBG_TRACE = isc::log::DBGLVL_TRACE_BASIC
| Netconf agent logging levels.
const int | isc::netconf::NETCONF_DBG_TRACE_DETAIL_DATA = isc::log::DBGLVL_TRACE_DETAIL_DATA
| Additional information.

## Detailed Description

Contains the loggers used by the netconf agent.

Definition in file netconf_log.cc.